-- Ajuste da sequencia do TP_DESCONTO 

IF   EXISTS (SELECT * FROM GLB_TP_DESCONTO WHERE CD_TP_DESCONTO = 30 and ds_tp_desconto = 'DESCONTO PROPZ' and tp_desconto = 29 )
BEGIN 
 update GLB_TP_DESCONTO set tp_desconto = 30 WHERE CD_TP_DESCONTO = 30 and ds_tp_desconto = 'DESCONTO PROPZ' and tp_desconto = 29 
END 